import java.awt.Color;
import java.awt.Font;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.axis.NumberAxis;
import org.jfree.chart.plot.CategoryPlot;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.chart.renderer.category.BarRenderer;
import org.jfree.chart.renderer.category.StandardBarPainter;
import org.jfree.chart.title.TextTitle;
import org.jfree.data.category.CategoryDataset;
import org.jfree.data.category.DefaultCategoryDataset;


public class BarChart
{
	ChartPanel chartPanel;
	JFreeChart chart;
	CategoryDataset dataset;
	DefaultCategoryDataset Ddataset;
	String series1;//Red
    String series2;//Black
    String series3;//Zero
    String series4;//Win
    String series5;//Lose
    String series7;//PWin
    String series8;//Partage
    
    String seriesMore;
    String seriesEven;
    String seriesLess;   
    
    String earned;
    String lost;
    String result;
    
    String category1;
    
    String seriesN[];
    int modus;
    
	public BarChart(final String title,int _modus)
	{
		modus = _modus;
		dataset = createDataset();
		chart = createChart(dataset,modus);
        chartPanel = new ChartPanel(chart);
    }

    private CategoryDataset createDataset() {
        
        // row keys...
        series1 = "Red";
        series2 = "Black";
        series3 = "Zero";
        series4 = "Win";//win
        series5 = "Lose";//lose
        series7 = "PWin";//Prisonwin
        series8 = "Part";//Prisonlose
        
        seriesMore = "More";
        seriesEven = "Even";
        seriesLess = "Less";
        
        earned = "Earned";
        lost = "Lost";
        result = "Result";
        
        seriesN = new String[21];
        
        for(int i=0;i<20;i++)
        {
        	seriesN[i] = i+"";
        }

        // column keys...
        category1 = "";
                
        // create the dataset...
        Ddataset = new DefaultCategoryDataset();
        
        return Ddataset;
        
    }
    
    private JFreeChart createChart(final CategoryDataset dataset,int modus) {
        
        // create the chart...
        JFreeChart chart = ChartFactory.createBarChart(
            "",         // chart title
            "",               // domain axis label
            "",                  // range axis label
            dataset,                  // data
            PlotOrientation.VERTICAL, // orientation
            true,                     // include legend
            true,                     // tooltips?
            false                     // URLs?
        );
        
        // OPTIONAL SETTINGS
        CategoryPlot plot = chart.getCategoryPlot();
        
        // set Title fontstyle
        chart.setTitle(new TextTitle("",new Font("Verdana",Font.PLAIN,12)));
        
        // change item series font
        chart.getLegend(0).setItemFont(new Font("Tahoma", Font.PLAIN, 12));

        
        if(modus == 1)
        {
        	chart.setTitle("Colors drawn");
	        plot.getRenderer().setSeriesPaint(0, new Color(200,0,0));//red
	        plot.getRenderer().setSeriesPaint(1, new Color(0,0,0));//black
	        plot.getRenderer().setSeriesPaint(2, new Color(255,255,0));//yellow
	        plot.getRenderer().setSeriesPaint(3, new Color(0,200,0));//green
	        plot.getRenderer().setSeriesPaint(4, new Color(240,120,0));//brown
	        plot.getRenderer().setSeriesPaint(5, new Color(160,160,0));//yellow-green
	        plot.getRenderer().setSeriesPaint(6, new Color(0,0,255));// blue
        }
        
        if(modus == 2)
        {
        	chart.setTitle("Consecutive duplications");
        	BarRenderer renderer = (BarRenderer)plot.getRenderer();
            renderer.setShadowVisible(false);
            renderer.setBarPainter(new StandardBarPainter());
            renderer.setDrawBarOutline(true);
            
            for(int i=0;i<20;i++)
            {
            	renderer.setSeriesOutlinePaint(i,Color.BLACK);
            }
        }
        
        if(modus == 3)
        {
        	chart.setTitle("Total sessions");
        	plot.getRenderer().setSeriesPaint(0, new Color(0,200,0));
	        plot.getRenderer().setSeriesPaint(1, new Color(255,155,0));//yellow-orange
	        plot.getRenderer().setSeriesPaint(2, new Color(200,0,0));//red
        }
        
        if(modus == 4)
        {
        	chart.setTitle("Total money");
        	plot.getRenderer().setSeriesPaint(0, new Color(0,200,0));
	        plot.getRenderer().setSeriesPaint(1, new Color(200,0,0));//red
	        plot.getRenderer().setSeriesPaint(2, new Color(255,155,0));
        }
                
        // set the range axis to display integers only
        final NumberAxis rangeAxis = (NumberAxis) plot.getRangeAxis();
        rangeAxis.setStandardTickUnits(NumberAxis.createIntegerTickUnits());
        
        chart.setBackgroundPaint(null);
        
        return chart;
    }
}